function Create(self)

--create the digits; are we a sim clock?
local s 
if string.find(self.PresetName, "Real") ~= nil then
s = ""
else
s = " 2"
end

self.d4 = CreateMOSRotating("Clock Digit" .. s)
self.d4.Pos = self.Pos+Vector(-11,1)

self.d3 = CreateMOSRotating("Clock Digit" .. s)
self.d3.Pos = self.Pos+Vector(-4,1)

self.d2 = CreateMOSRotating("Clock Digit" .. s)
self.d2.Pos = self.Pos+Vector(5,1)

self.d1 = CreateMOSRotating("Clock Digit" .. s)
self.d1.Pos = self.Pos+Vector(12,1)

MovableMan:AddParticle(self.d4)
MovableMan:AddParticle(self.d3)
MovableMan:AddParticle(self.d2)
MovableMan:AddParticle(self.d1)

self.Timer = Timer()

end

function Update(self)
local t

if string.match(self.PresetName, "Real") ~= nil then

t = self.Timer.ElapsedRealTimeS

else

t = self.Timer.ElapsedSimTimeS

end

if t>60*100 then
self.d4.Frame,self.d3.Frame,self.d2.Frame,self.d1.Frame = 9,9,9,9
else

--minutes
local m = math.floor(t/60)

self.d4.Frame = math.floor(m/10)
self.d3.Frame = m - math.floor(m/10)*10

--seconds
t = t-m*60

self.d2.Frame = math.floor(t/10)
self.d1.Frame = t - math.floor(t/10)*10

end

--Kill the digits
if self.ToDelete then
self.d1.Lifetime,self.d2.Lifetime,self.d3.Lifetime,self.d4.Lifetime = 1,1,1,1
end

end