function Create(self)

--create the digits

self.d3 = CreateMOSRotating("Counter Digit")
self.d3.Pos = self.Pos+Vector(-7,1)

self.d2 = CreateMOSRotating("Counter Digit")
self.d2.Pos = self.Pos+Vector(0,1)

self.d1 = CreateMOSRotating("Counter Digit")
self.d1.Pos = self.Pos+Vector(7,1)


self:SetWhichMOToNotHit(self.d3,-1)
self:SetWhichMOToNotHit(self.d2,-1)
self:SetWhichMOToNotHit(self.d1,-1)


MovableMan:AddParticle(self.d3)
MovableMan:AddParticle(self.d2)
MovableMan:AddParticle(self.d1)

end

function Update(self)

--what are we counting?

local count

if string.match(self.PresetName, "1") ~= nil then
	count = ActivityMan:GetActivity():GetTeamDeathCount(Activity.TEAM_1)
elseif string.match(self.PresetName, "2") ~= nil then
	count = ActivityMan:GetActivity():GetTeamDeathCount(Activity.TEAM_2)
elseif string.match(self.PresetName, "3") ~= nil then
	count = ActivityMan:GetActivity():GetTeamDeathCount(Activity.TEAM_3)
elseif string.match(self.PresetName, "4") ~= nil then
	count = ActivityMan:GetActivity():GetTeamDeathCount(Activity.TEAM_4)
end


		if count < 1000 and ( self.d3 and self.d2 and self.d1 ) then

			local part
--hundreds
			local d = math.floor(count/100)
			if d~=self.d3.Frame then
				self.d3.Frame = d
				part = CreateMOSParticle("Digit Blur")
				part.Pos = self.d3.Pos

				part = CreateMOSRotating("Flap SFX")
				part.Pos = self.d3.Pos
				MovableMan:AddParticle(part)
				part:GibThis()
			end
	
			count = count-d*100
--tens
			d = math.floor(count/10)

			if d~=self.d2.Frame then
				self.d2.Frame = d
				part = CreateMOSParticle("Digit Blur")
				part.Pos = self.d2.Pos
				MovableMan:AddParticle(part)

				part = CreateMOSRotating("Flap SFX")
				part.Pos = self.d2.Pos
				MovableMan:AddParticle(part)
				part:GibThis()
			end
--ones		
			count = count-d*10

			if count~=self.d1.Frame then
				self.d1.Frame = count
				part = CreateMOSParticle("Digit Blur")
				part.Pos = self.d1.Pos
				MovableMan:AddParticle(part)

				part = CreateMOSRotating("Flap SFX")
				part.Pos = self.d1.Pos
				MovableMan:AddParticle(part)
				part:GibThis()
			end
		else
			self:GibThis()

		end


--release the digits
if self.ToDelete then
		if self.d3 then
			self.d3.PinStrength = 0
			self.d3.Frame = 9
			self.d3.Vel = Vector(math.random(-15,15),math.random(-18,8))
		end
		if self.d2 then
			self.d2.PinStrength = 0
			self.d2.Frame = 9
			self.d2.Vel = Vector(math.random(-15,15),math.random(-18,8))
		end
		
		if self.d1 then
			self.d1.PinStrength = 0
			self.d1.Frame = 9
			self.d1.Vel = Vector(math.random(-15,15),math.random(-18,8))
		end

end

end